Skip to main content
GET
List fee configs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>[]
Available options:
active,
inactive
template_id
string<uuid>[]
name
string[]
sort_by
enum<string>[]
Available options:
creation_time:asc,
creation_time:desc,
fee_category:asc,
fee_category:desc
description_like
string

Case insensitive wildcard search for description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

from_creation_time
string<date-time>
name_like
string

Case insensitive wildcard search for name, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

description
string[]
from_last_updated_time
string<date-time>
status_like
string

Case insensitive wildcard search for status, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

fee_category
enum<string>[]

The category of event that triggers or schedules this fee. Trigger-based categories (ach:, wire:, card:, account:) fire when a matching transaction is posted. Scheduled categories (schedule:*) fire on a time-based cadence.

Available options:
account:nsf,
account:overdraft,
account:statement_paper,
ach:incoming,
ach:incoming_credit_return,
ach:incoming_debit_return,
ach:outgoing,
ach:outgoing_credit,
ach:outgoing_credit_return,
ach:outgoing_debit,
card:atm_out_of_network,
card:atm_withdrawal,
card:cash_advance,
card:cash_advance_financial_services,
card:cash_advance_gaming_betting,
card:cash_advance_quasi_cash,
card:foreign_transaction,
card:mcc_based,
schedule:account_anniversary,
schedule:daily_while_overdrawn,
schedule:monthly,
schedule:monthly_if_below_minimum,
schedule:monthly_if_dormant,
wire:incoming,
wire:outgoing_domestic,
wire:outgoing_international
to_last_updated_time
string<date-time>
reverse_with_parent
boolean
page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

fee_category_like
string

Case insensitive wildcard search for fee_category, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

to_creation_time
string<date-time>
id
string<uuid>[]

Response

List of fee configs

fee_configs
object[]
required

Array of fee configs

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"